# HttpFetchException (Crawler-commons 0.7 API)
Date: 2016-11-21

crawlercommons.fetcher

## Class HttpFetchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - crawlercommons.fetcher.BaseFetchException
      - - crawlercommons.fetcher.HttpFetchException

All Implemented Interfaces:
  Serializable

Deprecated.
As of release 0.6. We recommend directly using Apache HttpClient, async-http-client, or any other robust, industrial-strength HTTP clients.

    @Deprecated
    public class HttpFetchException
    extends BaseFetchException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpFetchException()` Deprecated.
`HttpFetchException(String url, String msg, int httpStatus, org.apache.tika.metadata.Metadata httpHeaders)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`org.apache.tika.metadata.Metadata` `getHttpHeaders()` Deprecated.
`int` `getHttpStatus()` Deprecated.
`String` `getMessage()` Deprecated.

### Methods inherited from class crawlercommons.fetcher.BaseFetchException

`compareToBase, equals, getCause, getLocalizedMessage, getStackTrace, getUrl, hashCode, initCause, printStackTrace, printStackTrace, printStackTrace, readBaseFields, setStackTrace, toString, writeBaseFields`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getSuppressed`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpFetchException

    public HttpFetchException()

Deprecated.

#### HttpFetchException

    public HttpFetchException(String url,
                              String msg,
                              int httpStatus,
                              org.apache.tika.metadata.Metadata httpHeaders)

Deprecated.

### Method Detail

#### getHttpStatus

    public int getHttpStatus()

Deprecated.

#### getHttpHeaders

    public org.apache.tika.metadata.Metadata getHttpHeaders()

Deprecated.

#### getMessage

    public String getMessage()

Deprecated.

Overrides:
  `getMessage` in class `BaseFetchException`